Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms
Class JmsSession

    java.lang.Object
      org.jboss.resource.adapter.jms.JmsSession

All Implemented Interfaces:
  javax.jms.QueueSession, Runnable, javax.jms.Session, javax.jms.TopicSession

public class JmsSession
extends Object
implements javax.jms.Session, javax.jms.QueueSession, javax.jms.TopicSession

Adapts the JMS QueueSession and TopicSession API to a JmsManagedConnection.

Created: Tue Apr 17 22:39:45 2001

Version:
  $Revision: 1.10 $
Author:
  Peter Antman ., Jason Dillon .

Field Summary

Fields inherited from interface javax.jms.Session
`AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

Constructor Summary
`JmsSession(JmsManagedConnection mc, JmsConnectionRequestInfo info)` Construct a `JmsSession`.

Method Summary
`void` | `close()` Closes the session.
`void` | `commit()`
`javax.jms.QueueBrowser` | `createBrowser(javax.jms.Queue queue)`
`javax.jms.QueueBrowser` | `createBrowser(javax.jms.Queue queue, String messageSelector)`
`javax.jms.BytesMessage` | `createBytesMessage()`
`javax.jms.MessageConsumer` | `createConsumer(javax.jms.Destination destination)`
`javax.jms.MessageConsumer` | `createConsumer(javax.jms.Destination destination, String messageSelector)`
`javax.jms.MessageConsumer` | `createConsumer(javax.jms.Destination destination, String messageSelector, boolean noLocal)`
`javax.jms.TopicSubscriber` | `createDurableSubscriber(javax.jms.Topic topic, String name)`
`javax.jms.TopicSubscriber` | `createDurableSubscriber(javax.jms.Topic topic, String name, String messageSelector, boolean noLocal)`
`javax.jms.MapMessage` | `createMapMessage()`
`javax.jms.Message` | `createMessage()`
`javax.jms.ObjectMessage` | `createObjectMessage()`
`javax.jms.ObjectMessage` | `createObjectMessage(Serializable object)`
`javax.jms.MessageProducer` | `createProducer(javax.jms.Destination destination)`
`javax.jms.TopicPublisher` | `createPublisher(javax.jms.Topic topic)`
`javax.jms.Queue` | `createQueue(String queueName)`
`javax.jms.QueueReceiver` | `createReceiver(javax.jms.Queue queue)`
`javax.jms.QueueReceiver` | `createReceiver(javax.jms.Queue queue, String messageSelector)`
`javax.jms.QueueSender` | `createSender(javax.jms.Queue queue)`
`javax.jms.StreamMessage` | `createStreamMessage()`
`javax.jms.TopicSubscriber` | `createSubscriber(javax.jms.Topic topic)`
`javax.jms.TopicSubscriber` | `createSubscriber(javax.jms.Topic topic, String messageSelector, boolean noLocal)`
`javax.jms.TemporaryQueue` | `createTemporaryQueue()`
`javax.jms.TemporaryTopic` | `createTemporaryTopic()`
`javax.jms.TextMessage` | `createTextMessage()`
`javax.jms.TextMessage` | `createTextMessage(String string)`
`javax.jms.Topic` | `createTopic(String topicName)`
`int` | `getAcknowledgeMode()`
`javax.jms.MessageListener` | `getMessageListener()` Always throws an Exception.
`boolean` | `getTransacted()`
`void` | `recover()`
`void` | `rollback()`
`void` | `run()` Always throws an Error.
`void` | `setJmsSessionFactory(JmsSessionFactory sf)`
`void` | `setMessageListener(javax.jms.MessageListener listener)` Always throws an Exception.
`void` | `unsubscribe(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsSession

    public JmsSession(JmsManagedConnection mc,
                      JmsConnectionRequestInfo info)

  Construct a `JmsSession`.

Parameters:
  `mc` - The managed connection for this session.

Method Detail

### setJmsSessionFactory

    public void setJmsSessionFactory(JmsSessionFactory sf)

### createBytesMessage

    public javax.jms.BytesMessage createBytesMessage()
                                              throws javax.jms.JMSException

  Specified by:
    `createBytesMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createMapMessage

    public javax.jms.MapMessage createMapMessage()
                                          throws javax.jms.JMSException

  Specified by:
    `createMapMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createMessage

    public javax.jms.Message createMessage()
                                    throws javax.jms.JMSException

  Specified by:
    `createMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createObjectMessage

    public javax.jms.ObjectMessage createObjectMessage()
                                                throws javax.jms.JMSException

  Specified by:
    `createObjectMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createObjectMessage

    public javax.jms.ObjectMessage createObjectMessage(Serializable object)
                                                throws javax.jms.JMSException

  Specified by:
    `createObjectMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createStreamMessage

    public javax.jms.StreamMessage createStreamMessage()
                                                throws javax.jms.JMSException

  Specified by:
    `createStreamMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createTextMessage

    public javax.jms.TextMessage createTextMessage()
                                            throws javax.jms.JMSException

  Specified by:
    `createTextMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createTextMessage

    public javax.jms.TextMessage createTextMessage(String string)
                                            throws javax.jms.JMSException

  Specified by:
    `createTextMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### getTransacted

    public boolean getTransacted()
                          throws javax.jms.JMSException

  Specified by:
    `getTransacted` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### getMessageListener

    public javax.jms.MessageListener getMessageListener()
                                                 throws javax.jms.JMSException

  Always throws an Exception.

  Specified by:
    `getMessageListener` in interface `javax.jms.Session`
  Throws:
    `javax.jms.IllegalStateException` - Method not allowed.
    `javax.jms.JMSException`

### setMessageListener

    public void setMessageListener(javax.jms.MessageListener listener)
                            throws javax.jms.JMSException

  Always throws an Exception.

  Specified by:
    `setMessageListener` in interface `javax.jms.Session`
  Throws:
    `javax.jms.IllegalStateException` - Method not allowed.
    `javax.jms.JMSException`

### run

    public void run()

  Always throws an Error.

  Specified by:
    `run` in interface `javax.jms.Session`
  Throws:
    `Error` - Method not allowed.

### close

    public void close()
               throws javax.jms.JMSException

  Closes the session. Sends a ConnectionEvent.CONNECTION_CLOSED to the managed connection.

  Specified by:
    `close` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException` - Failed to close session.

### commit

    public void commit()
                throws javax.jms.JMSException

  Specified by:
    `commit` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### rollback

    public void rollback()
                  throws javax.jms.JMSException

  Specified by:
    `rollback` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### recover

    public void recover()
                 throws javax.jms.JMSException

  Specified by:
    `recover` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createTopic

    public javax.jms.Topic createTopic(String topicName)
                                throws javax.jms.JMSException

  Specified by:
    `createTopic` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createSubscriber

    public javax.jms.TopicSubscriber createSubscriber(javax.jms.Topic topic)
                                               throws javax.jms.JMSException

  Specified by:
    `createSubscriber` in interface `javax.jms.TopicSession`
  Throws:
    `javax.jms.JMSException`

### createSubscriber

    public javax.jms.TopicSubscriber createSubscriber(javax.jms.Topic topic,
                                                      String messageSelector,
                                                      boolean noLocal)
                                               throws javax.jms.JMSException

  Specified by:
    `createSubscriber` in interface `javax.jms.TopicSession`
  Throws:
    `javax.jms.JMSException`

### createDurableSubscriber

    public javax.jms.TopicSubscriber createDurableSubscriber(javax.jms.Topic topic,
                                                             String name)
                                                      throws javax.jms.JMSException

  Specified by:
    `createDurableSubscriber` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createDurableSubscriber

    public javax.jms.TopicSubscriber createDurableSubscriber(javax.jms.Topic topic,
                                                             String name,
                                                             String messageSelector,
                                                             boolean noLocal)
                                                      throws javax.jms.JMSException

  Specified by:
    `createDurableSubscriber` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createPublisher

    public javax.jms.TopicPublisher createPublisher(javax.jms.Topic topic)
                                             throws javax.jms.JMSException

  Specified by:
    `createPublisher` in interface `javax.jms.TopicSession`
  Throws:
    `javax.jms.JMSException`

### createTemporaryTopic

    public javax.jms.TemporaryTopic createTemporaryTopic()
                                                  throws javax.jms.JMSException

  Specified by:
    `createTemporaryTopic` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### unsubscribe

    public void unsubscribe(String name)
                     throws javax.jms.JMSException

  Specified by:
    `unsubscribe` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createBrowser

    public javax.jms.QueueBrowser createBrowser(javax.jms.Queue queue)
                                         throws javax.jms.JMSException

  Specified by:
    `createBrowser` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createBrowser

    public javax.jms.QueueBrowser createBrowser(javax.jms.Queue queue,
                                                String messageSelector)
                                         throws javax.jms.JMSException

  Specified by:
    `createBrowser` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createQueue

    public javax.jms.Queue createQueue(String queueName)
                                throws javax.jms.JMSException

  Specified by:
    `createQueue` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createReceiver

    public javax.jms.QueueReceiver createReceiver(javax.jms.Queue queue)
                                           throws javax.jms.JMSException

  Specified by:
    `createReceiver` in interface `javax.jms.QueueSession`
  Throws:
    `javax.jms.JMSException`

### createReceiver

    public javax.jms.QueueReceiver createReceiver(javax.jms.Queue queue,
                                                  String messageSelector)
                                           throws javax.jms.JMSException

  Specified by:
    `createReceiver` in interface `javax.jms.QueueSession`
  Throws:
    `javax.jms.JMSException`

### createSender

    public javax.jms.QueueSender createSender(javax.jms.Queue queue)
                                       throws javax.jms.JMSException

  Specified by:
    `createSender` in interface `javax.jms.QueueSession`
  Throws:
    `javax.jms.JMSException`

### createTemporaryQueue

    public javax.jms.TemporaryQueue createTemporaryQueue()
                                                  throws javax.jms.JMSException

  Specified by:
    `createTemporaryQueue` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createConsumer

    public javax.jms.MessageConsumer createConsumer(javax.jms.Destination destination)
                                             throws javax.jms.JMSException

  Specified by:
    `createConsumer` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createConsumer

    public javax.jms.MessageConsumer createConsumer(javax.jms.Destination destination,
                                                    String messageSelector)
                                             throws javax.jms.JMSException

  Specified by:
    `createConsumer` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createConsumer

    public javax.jms.MessageConsumer createConsumer(javax.jms.Destination destination,
                                                    String messageSelector,
                                                    boolean noLocal)
                                             throws javax.jms.JMSException

  Specified by:
    `createConsumer` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createProducer

    public javax.jms.MessageProducer createProducer(javax.jms.Destination destination)
                                             throws javax.jms.JMSException

  Specified by:
    `createProducer` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### getAcknowledgeMode

    public int getAcknowledgeMode()
                           throws javax.jms.JMSException

  Specified by:
    `getAcknowledgeMode` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.